Subject: Re: ADS stuff
From: "Jim Kirchstein" <[email-masked]>
To: "Kay price" <[email-masked]>
Date: Wed, 15 Aug 2012 11:00:45 -0500

That clears things up a bit.
Sorry Tracey didn't win.
I thought Char put the $200 toward that weird movie...and JR gave the money for Victor...??
Forrest must be worth millions...I was skeptical about Hugo giving such a large sum to the Conservatory.
You have got to write that book....all these strange but interesting characters!

From: Kay price 
Sent: Wednesday, August 15, 2012 10:42 AM
To: Jim Kirchstein 
Subject: Re: ADS stuff

Char gave the ADS $200 as a tax write-off at end of last year. I thanked her and Pat wrote a thank you note. Then a few months later she demanded her money back to pay Victor to do that picture. I thought it was a tacky think to do, especially since she could afford to pay him is she wanted him to do a picture. And she had gotten the tax credit. The board had nothing to say but to return her money. Nothing about it felt good to me. 

Tracy lost the race. No doubt he is feeling down today, but he is young and he probably learned a lot.

Irishfest sounds like a lot of fun. You of all people should go. 

Yes, Cecy was a financial advisor and she spoke up about what was going on with church money etc. 

I don't talk to Rick and he and Forrest were united in protecting what Forrest did. He paid Rick for his silence by paying him $40,000 a year to pack books way back in the 70s when half that amount would have seemed a lot. (There was more to the story I am sure since Rick was able to retire at age 40!)  And by putting Rick in Hugo's will. Hugo told me he hadn't seen Rick in ten years, and it was Forrest's idea to put him in the will, he didn't know why, but he was afraid to stand up to Forrest. As far as I am concerned all money should have gone to Chuck, nothing to the NatureConservatory, Forrest's pet project.

I think old people like Chuck need friends to watch out for them, so they are not taken advantage of. He would probably greatly appreciate your involvement and help. $20,000 would be a lot of money to him. If the bank can not prove he got the money, then what? You could drive him up to Baraboo and say you are helping him clear up an issue he is confused about. He needs to see a canceled check because he has no memory of receiving this check. Chuck has always seemed clear headed and I doubt he would not remember getting a check that size. 

Forrest was trying to get money out of Dorothy S.  a rich 97 yr. old woman with no children and some dementia. He took her to dinner one night a week, told her he loved her, wanted to marry her, while he became her lawyer and executor making out her will. Her niece Gini Lemm Luther, took him on. She had to hire a lawyer to get her aunt out of his hold, turn over her will, get it changed, etc. You should hear her talk about him!

On Aug 15, 2012, at 8:26 AM, "Jim Kirchstein" <[email-masked]> wrote:

  I didn't know that Victor was paid $200 for the Derleth drawing.
  And I was unaware that Hartman had anything to do with the UCC money. (Ceci info?)
  If you are on speaking terms with Rick Meng, perhaps you could ask about that day that the money from Hugo's estate was dispensed. His signature was on the same day as Richie's. Aside of a bank deposit by Richie, there must be a cancelled check from the Baraboo bank. I feel like I'm meddling in Chuck's business when I am bothered when something that doesn't look right goes unnoticed.

  I heard a discussion on digital archiving (Public radio) the other day, and the method we're using seems to be the most popular (binary discs). The discussion indicates that huge changes will be made over the next ten to twenty years with personal and business devices and computers. Everything is obsolete after three years. Too, the discussion on how Apple avoids big taxes by moving money into Ireland, exchanging funds in internal corporations taking advantage of loop holes there.

  How did Tracy do with his politics? It will be interesting to find what he has in mind as President of ADS.

  We're all heading for Irishfest on Sunday...our annual event.

  Later